Root Error going from rooted 2.1update1 to 2.2 OTA

Discussion in 'Android Devices' started by droidmoto, Aug 16, 2010.

  1. droidmoto

    droidmoto Member
    15

    Nov 10, 2009
    23
    0
    15
    I was using 2.1update1 which was rooted using easyroot. I deleted a few stock applications that i didn't need such as corporate calendar, visual voice mail, and amazon mp3. Now after attempting to apply the OTA 2.2 update, i receive the following error message:

    assert failed: apply_patch_check("/system/app/CorpCal.apk")

    followed by a bunch of numbers and letters
    and then

    E:Error in /sdcard/update.zip
    (status 7)
    Installation Aborted.

    Any ideas what I'm doing wrong? Did i need that Corporate Calendar app for some reason? Thanks for your help.
     

    Advertisement

  2. OMJ

    OMJ Bazinga
    213

    Nov 27, 2009
    3,290
    825
    213
    Finance
    Pennsylvania
    it probably has something to do with the fact that Corp Cal gets incorporated into the regular calendar in Froyo. The update is probably trying to delete Corp Cal or something like that which is whats causing the issue. Im not entirely sure about that without looking at the updater-script but thats my guess.
     
  3. droidmoto

    droidmoto Member
    15

    Nov 10, 2009
    23
    0
    15
    Thanks for the quick response. Do you know how i could go about getting CorpCal.apk back onto my phone?
     
  4. OMJ

    OMJ Bazinga
    213

    Nov 27, 2009
    3,290
    825
    213
    Finance
    Pennsylvania
  5. droidmoto

    droidmoto Member
    15

    Nov 10, 2009
    23
    0
    15
    Sorry, I'm a bit of a noob with this stuff. How exactly do I do that pull/push stuff? Could I use root explorer?
     
  6. OMJ

    OMJ Bazinga
    213

    Nov 27, 2009
    3,290
    825
    213
    Finance
    Pennsylvania
    to pull those files from the zip just unzip it and you can use root explorer to place them then.
     
  7. droidmoto

    droidmoto Member
    15

    Nov 10, 2009
    23
    0
    15
    Ah okay. I solved the CorpCal problem, but now I get the same error message for GoogleGoggles.apk, which isn't included in that folder you posted.
    I just installed it from the market, but it didn't put the GoogleGoggles.apk and GoogleGoggles.odex files in /system/app. Any ideas?
     
  8. OMJ

    OMJ Bazinga
    213

    Nov 27, 2009
    3,290
    825
    213
    Finance
    Pennsylvania
  9. droidmoto

    droidmoto Member
    15

    Nov 10, 2009
    23
    0
    15
    Thanks, but now it says i need VVMStub.apk. I can't thank you enough, OMJ.
     
  10. OMJ

    OMJ Bazinga
    213

    Nov 27, 2009
    3,290
    825
    213
    Finance
    Pennsylvania
  11. topdj

    topdj Well-Known Member
    16

    Aug 15, 2010
    72
    2
    16
    gee no wonder they say to rename and not delete, sounds like a pain to go track down deleted files and put them back
     
  12. droidmoto

    droidmoto Member
    15

    Nov 10, 2009
    23
    0
    15
    Worked perfectly! Thanks so much for your help, OMJ! :)
     
  13. OMJ

    OMJ Bazinga
    213

    Nov 27, 2009
    3,290
    825
    213
    Finance
    Pennsylvania
    no problem
     
  14. leot

    leot New Member
    5

    Aug 16, 2010
    1
    0
    5
    Hi everyone,
    Having the same problem but it is saying that the error is from assert failed: apply_patch_check("/system/app/Facebook.apk")

    Which is unusual because I do have facebook installed. Maybe they changed the filename with the new version?

    Anyone have that apk for android 2.1 rooted.
     
  15. stabenheimer

    stabenheimer New Member
    5

    Aug 20, 2010
    1
    0
    5
    i'm missing the facebook apk as well. looked online and can't find one that matches what the update is looking for. any help?
     

Share This Page

Loading...